@import "mixins/mixins.scss";

//------------------------------------------------------------------ BODY

body {
    background: -webkit-linear-gradient(top, #30b4b6 0%,#a1e4e7 33%);
}

//------------------------------------------------------------------ HEADER

header {
    @include container-margin;
    padding-top:20px;
    
    img {
        width:20%;

        @media (min-width:667px) {
            width:10%;
        }
    }
    nav {
        float:right;

        .hamburger {
            width: 35px;
            height:20px;
            float:right; 
            margin-right:-5px;
            

            span {
                display: block;
                width:100%;
                height:4px;
                background:white;
                border-radius:30px;
                margin-top:5px;

                & + span {
                    margin-top:5px;
                }
            

                &.line2 {
                    width:70%;
                    float:right;
                }
                
            }
        }  
  
    }
}

//------------------------------------------------------------------ SECTION TITRE + SHOE

.section {
    @include container-margin;
    margin-top:70px;

    .titre {

        h1 {
            @include font-h1;
            margin-top:-30px;
        }
        h2 {
            @include font-h2;
            margin-top:-30px;
        }
        .sm-dot {
            display:inline-block;
            width:10px;
            height:10px;
            background-color:rgb(175, 238, 247);
            border-radius:5px;
        }
        .active {
            background-color:white;
        }
    }
    figure {
        @include container-margin;

        .shoe {
            width:80%;
            position:Absolute;
            margin-top:-50px;
            z-index:2;
            right:40px;

            @media (min-width:667px) {
                width:50%;
                left:50px;
                bottom:30px;
            }
    
        }
    }
}

//------------------------------------------------------------------ MAIN PARTIE BLANCHE - INFO

main {
    position:relative;
    background-color:white;
    margin:80px -8px 10px -8px;
    border-top-left-radius:20px;
    border-top-right-radius:20px;


    @media (min-width:667px) {
        width:65%;
        float:right;
        margin-top:-110px;
    }

    .info-container {

        border-radius:120px;
        height:450px;
        @include container-margin();

        @media (min-width:667px) {
            margin-right:35px;
            width:60%;
            float:right;
        }

        .container-priceNcolor {
            padding-top:60px;

            .prix {
                @include font-h3-price;

                .ninenine {
                    font-size:20px;
                    margin-left:-8px;
                }
                @media (min-width:667px) {
                    float:right;
                    margin-top:-40px;

                }
            
            }

            .dots {
                float:right;
                margin-left:7px;
                margin-top:-30px;

                @media (min-width:667px) {
                    float:left;
                    margin-left:-5px;
                }
            
                .big-dot {
                    display: inline-block;
                    width:18px;
                    height:18px;
                    border:4px solid white;
                    border-radius:15px;

                    &.turquoise {
                        background:#30c8ca;

                        &.active {
                            box-shadow: 0px 0px 10px 1px rgba(174,240,245,0.97);
                        }
                    }
                    &.grey {
                        background:rgb(165, 165, 165);
                    }
                    &.pink {
                        background:rgb(253, 111, 159);
                    }
                }
            }
        }
    }

    .hr {
        @include hr;

        &.hide {
            @media (min-width:667px) {
                display:none;
            }
        }
    }

    .container-text {
        @include paragraph;

        @media (min-width:667px) {
            display:none;
        }
    }
    .container-shoeSize {
        h3 {
            @include font-h3-price;
            font-size:15px;
            letter-spacing:0.5px;
            margin-top:-5px;

            @media (min-width:667px) {
                float:right;
            }
        }

        .shoeSize {

            @media (min-width:667px) {
                float:right;
                margin-right:-15px;
            }

            h3{
            display:inline-block;
            padding-right:15px;
            font-size:18px;
            margin-top:-10px;
            color:rgb(194, 194, 194);

                &.selectedSize {
                    color:black;
                }
            
            }
        }
    }

//------------------------------------------------------------------ BUTTON    

    button {
        @include button;
        width:100%;
        margin-top:20px;
        color:white;
        font-size:18px;

        @media (min-width:667px) {
            float:right;
            width:85%;
            padding: 15px 15px 15px 15px;
            margin-top:25px;
        }
    }
}